image: node:12

stages:
 - build
 - deploy

before_script:
  - npm install

cache:
  paths:
    - node_modules/

build:
  stage: build
  script:
    - npm run build-version
  only:
    - master
    - /^DEVOPS-*/

publish:
  stage: deploy
  script:
    - npm run build
    - npm config set '//registry.npmjs.org/:_authToken' "${NPM_TOKEN}"
    - npm publish
  only:
    - tags